Back to Platform

POST /project-assets

POST
/project-assets

POST operation for /project-assets

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://dev-rest.onboard.io/project-assets" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string",    "file": "binary-file-placeholder",    "link": "https://example.com",    "link_label": "string",    "content_type": "string",    "object_id": 1,    "onboarder_user_id": 1,    "onboardee_user_id": 1,    "include_in_outboard": true,    "order": 1  }'
{
  "id": 1,
  "name": "string",
  "description": "string",
  "file": "binary-file-placeholder",
  "file_url": "binary-file-placeholder",
  "file_type": "string",
  "file_size": 1,
  "link": "https://example.com",
  "link_label": "string",
  "content_type": "string",
  "content_type_name": "string",
  "object_id": 1,
  "onboarder_user": "string",
  "onboarder_user_id": 1,
  "onboardee_user": "string",
  "onboardee_user_id": 1,
  "include_in_outboard": true,
  "order": 1,
  "created_at": "2021-01-01T00:00:00Z",
  "modified_at": "2021-01-01T00:00:00Z",
  "created_by": "string"
}
Empty
Empty
Empty

How is this guide?